Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 166182 - Review Request: perl-CGI-Untaint-date : Validate a date
Summary: Review Request: perl-CGI-Untaint-date : Validate a date
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/CGI-Untai...
Whiteboard:
Depends On: 166181 166567
Blocks: FE-ACCEPT 166203
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:13 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-07 19:07:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Patch addressing review issues (deleted)
2005-08-23 14:22 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-08-17 20:13:12 UTC
Spec Name or Url: http://www.auroralinux.org/people/spot/review/Maypole/perl-CGI-Untaint-date.spec
SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-CGI-Untaint-date-0.03-2.src.rpm

Description: 

Validate a date

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Paul Howarth 2005-08-23 14:22:48 UTC
Created attachment 118002 [details]
Patch addressing review issues

Review:

- rpmlint clean
- package and spec file name OK
- package meets guidelines
- license same as perl, tag correct in spec
- spec written in English and is legible
- source matches upstream
- package builds (when fixed) OK in mock on FC4 (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:
- missing BR: perl(Date::Simple) >= 0.01
- missing BR: perl(Date::Manip) >= 5
- Makefile.PL suggests versioned BR: perl(CGI::Untaint) >= 0.07
- perhaps Requires: need versioning too?
- license text not included; suggest adding to %setup:
  perldoc -t perlgpl > COPYING
  perldoc -t perlartistic > Artistic
  and to %files:
  %doc COPYING Artistic
- redundant BR: perl

Attached patch fixes these issues.

Comment 2 Paul Howarth 2005-08-23 14:46:47 UTC
Another thing:

- make called without %{_smp_mflags}

(not addressed by patch)

Comment 3 Matthias Saou 2005-08-23 14:58:44 UTC
That should always be %{?_smp_mflags}, otherwise the build will fail when
_smp_mflags isn't defined.

Comment 4 Tom "spot" Callaway 2005-08-23 15:34:34 UTC
All changes incorporated (both from patch and ?_smp_mflags) in -3.

New SRPM:
http://www.auroralinux.org/people/spot/review/Maypole/perl-CGI-Untaint-date-0.03-3.src.rpm

New SPEC:
http://www.auroralinux.org/people/spot/review/Maypole/perl-CGI-Untaint-date.spec

Of course, we now depend on perl-Date-Simple, so this review depends on bugzilla
166579.

Comment 5 Paul Howarth 2005-08-23 17:14:11 UTC
Looks good.

Approved.


Note You need to log in before you can comment on or make changes to this bug.